#Module zum steuern der GPIOs
from machine import Pin, PWM
from utime import sleep

#Servomotor am GPIO0 angeschlossen
servo = PWM(Pin(0))
#der Servomotor arbeitet mit einer
#Frequenz von 50 Hz
servo.freq(50)

#0° hat ein Dutycycle von..
grad0 = 500000
#90° hat ein Dutycycle von..
grad90 = 1500000

#Starten einer Endlosschleife
while True:
    #Servo auf 90° bewegen
    servo.duty_ns(grad90)
    #kleine Pause von 500 Millisekunden
    sleep(0.5)
    #Servo auf 0° bewegen
    servo.duty_ns(grad0)
    #kleine Pause von 500 Millisekunden
    sleep(0.5)

