#Module zum ansteuern der GPIOs
from machine import Pin

#der Taster ist am GPIO5 angeschlossen,
#zusätzlich wird dieser über den internen PullUp
#Widerstand verbunden
button = Pin(5, Pin.IN, Pin.PULL_UP)

#Funktion welche ausgeführt werden soll
#wenn der Taster betätigt wird.
def button_handler(pin):
    print("Hello, world!")
      
#konfigurieren eines Interrupts
button.irq(trigger = machine.Pin.IRQ_RISING, handler = button_handler)

#Starten einer Endlosschleife,
#diese wird benötigt damit das Programm sich nicht selbstständig beendet
while True:
    pass